package de.ivu.elect.business.benutzerverwaltung.entity;

public enum WvpBenutzerKontoNamePolitischeGruppeVorbelegenArt {
  NICHT_VORBELEGEN(false),

  VORBELEGEN_ANPASSBAR(true),

  VORBELEGEN_FIXIERT(true) {
    @Override
    public boolean isFixiert() {
      return true;
    }
  };

  private final boolean vorbelegen;

  private WvpBenutzerKontoNamePolitischeGruppeVorbelegenArt(boolean vorbelegen) {
    this.vorbelegen = vorbelegen;
  }

  public boolean isVorbelegen() {
    return vorbelegen;
  }

  public boolean isFixiert() {
    return false;
  }
}
